# Get Most Recent Test Results

GET /testresults/mostrecent?outcome={outcome}

#### Description

Returns full details of the most recent test results that match the specified filter criteria, including outcomes, timestamps, and associated objects.

Endpoint: GET /mostrecent
Version: 1.0
Security: oauth2

## Query parameters:

  - `outcome` (string, required)
    Filters results by the provided test outcome
    Enum: "passed", "failed", "needsReview", "inRemediation", "resolved"

  - `testParentObjectType` (string)
    Filters by object type that the test whose results are being returned is created on.
    Enum: "control", "label", "controlScope"

  - `limit` (integer)
    The maximum number of test results to return per page.

  - `nextToken` (string)
    Token returned from a previous call to retrieve test results.

## Response 200 fields (application/json):

  - `data` (array)
    The data in the test run results.
    Example: [{"testId":"123e4567-e89b-12d3-a456-426614174000","testRunId":"123e4567-e89b-12d3-a456-426614174001","outcome":"passed","testParentObjectType":"controlScope","testParentObjectId":"123e4567-e89b-12d3-a456-426614174002","testCases":[{"$ref":"#/components/schemas/TestCaseResult"}]}]

  - `data.testId` (string)
    The unique identifier of the test.
    Example: "123e4567-e89b-12d3-a456-426614174000"

  - `data.testRunId` (string)
    The unique identifier of the test run.
    Example: "123e4567-e89b-12d3-a456-426614174001"

  - `data.outcome` (string)
    The outcome of the test run.
    Example: "passed"

  - `data.testParentObjectType` (string)
    The parent object type of the test.
    Example: "controlScope"

  - `data.testParentObjectId` (string)
    The parent object identifier of the test.
    Example: "123e4567-e89b-12d3-a456-426614174002"

  - `data.testCases` (array)
    The list of test cases in the run.
    Example: [{"$ref":"#/components/schemas/TestCaseResult"}]

  - `data.testCases.name` (string)
    The name of the test case result.
    Example: "Example Test Case Name"

  - `data.testCases.condition` (object)
    Example: {"arguments":[{"$ref":"#/components/schemas/ConditionArgument"}]}

  - `data.testCases.condition.arguments` (array)
    The list of arguments for the test case condition.
    Example: [{"$ref":"#/components/schemas/ConditionArgument"}]

  - `data.testCases.condition.arguments.argumentType` (string)
    The type of argument in the condition.

  - `data.testCases.condition.arguments.selector` (string)
    The selector for the condition argument.
    Example: "name"

  - `data.testCases.condition.arguments.operator` (string)
    The operator used in the condition (e.g., equals).
    Example: "="

  - `data.testCases.condition.arguments.operand` (string)
    The operand value in the condition.
    Example: "John Doe"

  - `data.testCases.results` (object)
    Example: {"rowResults":[{"$ref":"#/components/schemas/RowResult"}],"thresholdResult":{"$ref":"#/components/schemas/ThresholdResult"}}

  - `data.testCases.results.rowResults` (array)
    The results of the test case.
    Example: [{"$ref":"#/components/schemas/RowResult"}]

  - `data.testCases.results.rowResults.row` (integer)
    The row number of the result.
    Example: 1

  - `data.testCases.results.rowResults.argumentResults` (array)
    The list of argument results for the row.
    Example: [{"$ref":"#/components/schemas/ArgumentResult"}]

  - `data.testCases.results.rowResults.argumentResults.value` (string)
    The value resulting from the argument evaluation.
    Example: "John Doe"

  - `data.testCases.results.rowResults.argumentResults.errorInfo` (string)
    Details on the failure.

  - `data.testCases.results.rowResults.argumentResults.operandValue` (string)
    The value that the proof value was compared against.

  - `data.testCases.results.thresholdResult` (object)
    Example: {"rowsTested":100,"passPercentage":95,"evaluationThreshold":80}

  - `data.testCases.results.thresholdResult.rowsTested` (integer)
    The number of rows tested.
    Example: 100

  - `data.testCases.results.thresholdResult.passPercentage` (number)
    The pass percentage in the result.
    Example: 95

  - `data.testCases.results.thresholdResult.evaluationThreshold` (number)
    The evaluation threshold in the result.
    Example: 80

  - `nextToken` (string)
    The token for the next page of test run results.


